Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003470TestLinkExport/Importpublic2010-05-18 12:312010-08-31 20:26
Reportertwelve 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionreopened 
PlatformOSOS Version
Product Version1.9 Beta 3 
Fixed in Version1.9 Beta 6 
Summary0003470: XML import of test results with platforms fails
DescriptionWhen trying to import test results via XML files in a testplan that contains multiple platforms, all the results are imported into the database with a platform ID of 0 and therefore never show up in the results reports.
Steps To ReproduceCreate a testplan with multiple platforms, import results with a XML file. The import finishes successfully but you'll never see the imported results on the website.
Additional InformationSee the attached file for patches that add support for platforms to the test results import functions in gui/templates/results/resultsImport.tpl and lib/results/resultsImport.php
That patches are against Testlink 1.9 Beta 3
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesdiff file icon resultsImport.diff [^] (4,766 bytes) 2010-05-18 12:31 [Show Content]
zip file icon fix-3470-3475.zip [^] (6,888 bytes) 2010-05-18 21:02

- Relationships
related to 0003475closedfman Import results - XML - possibility to get platform ID and/or BUILD ID from file 

-  Notes
(0010057)
fman (administrator)
2010-05-18 17:41
edited on: 2010-05-18 18:49

please:
1. do not submit patches but complete code, is easier for us
2. try to check with latest release becuase issue can be not be reported BUT FIXED

(0010061)
fman (administrator)
2010-05-18 19:43

I've found that code to support platform_id on XML file has not been commited before creation of beta4
(0010721)
twelve (reporter)
2010-07-21 08:12

I'm updating to 1.9 Beta 5 and this issue is not fixed.
In line 34 of lib/results/resultsImport.php the build and platform information is read from the referrer variables "build_id" and "platform_id". While this worked with 1.9 Beta 3, these variables do not exist anymore in 1.9 Beta 5. It seems that in some places they were renamed to "setting_build" and "setting_platform" for unknown reasons.
(0010913)
fman (administrator)
2010-08-21 16:28

@twelve:
Thanks for debuging info, has helped a lot.
Issue fixed for next beta (Sept. 5 2010)
(0011049)
fman (administrator)
2010-08-31 20:26

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-05-18 12:31 twelve New Issue
2010-05-18 12:31 twelve File Added: resultsImport.diff
2010-05-18 17:41 fman Note Added: 0010057
2010-05-18 18:49 fman Note Edited: 0010057 View Revisions
2010-05-18 19:43 fman Note Added: 0010061
2010-05-18 21:01 fman Relationship added related to 0003475
2010-05-18 21:02 fman File Added: fix-3470-3475.zip
2010-05-18 21:02 fman Status new => resolved
2010-05-18 21:02 fman Fixed in Version => 1.9 Beta 5
2010-05-18 21:02 fman Resolution open => fixed
2010-05-18 21:02 fman Assigned To => fman
2010-07-21 08:12 twelve Note Added: 0010721
2010-07-21 08:12 twelve Status resolved => assigned
2010-07-21 08:12 twelve Resolution fixed => reopened
2010-08-21 16:28 fman Note Added: 0010913
2010-08-21 16:28 fman Status assigned => resolved
2010-08-21 16:28 fman Fixed in Version 1.9 Beta 5 => 1.9 Beta 6
2010-08-31 20:26 fman Note Added: 0011049
2010-08-31 20:26 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker